Bug 1889880 - elisa not working: "QQmlApplicationEngine failed to load component"
Summary: elisa not working: "QQmlApplicationEngine failed to load component"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: elisa-player
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 19:15 UTC by nicofo
Modified: 2020-10-29 01:14 UTC (History)
2 users (show)

Fixed In Version: elisa-player-20.08.2-1.fc33 elisa-player-20.08.2-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-29 01:06:04 UTC
Type: Bug


Attachments (Terms of Use)

Description nicofo 2020-10-20 19:15:06 UTC
Description of problem:
1. Install elisa-player with dnf
  - in my case, elisa-player is installed and no dependencies are added by dnf
  - elisa-player-20.04.2-1.fc32.x86_64.rpm

Actual results:

2. run elisa -> not working:
$ elisa 
QQmlApplicationEngine failed to load component
qrc:/qml/ElisaMainWindow.qml:22:1: module "org.kde.kirigami" is not installed

3. I try installing kirigami (dnf install kirigami -> kf5-kirigami-1.1.0-13.fc32.x86_64.rpm is installed)
-> elisa still not working, but error is different:
$ elisa 
QQmlApplicationEngine failed to load component
qrc:/qml/ElisaMainWindow.qml:22:1: module "org.kde.kirigami" version 2.5 is not installed

Expected results:

elisa should work. If needed, "dnf install elisa-player" should install required dependencies

Comment 1 Vasiliy Glazov 2020-10-20 19:32:04 UTC
kf5-kirigami2 installed?

Comment 2 nicofo 2020-10-20 19:48:54 UTC
Oh, indeed, it works with kf5-kirigami2. No need of kf5-kirigami.
Thanks.

So kf5-kirigami2 should be set as a dependency of elisa-player.

Comment 3 Vasiliy Glazov 2020-10-20 20:07:08 UTC
Yes. It already installed if other components of KDE installed.
I will add this dependency explicitly.

Thanks for the report.

Comment 4 Fedora Update System 2020-10-21 04:23:44 UTC
FEDORA-2020-17b8e306c9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-17b8e306c9

Comment 5 Fedora Update System 2020-10-21 04:23:48 UTC
FEDORA-2020-82c09dac16 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-82c09dac16

Comment 6 Fedora Update System 2020-10-21 15:33:32 UTC
FEDORA-2020-82c09dac16 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-82c09dac16`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-82c09dac16

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-10-21 21:32:41 UTC
FEDORA-2020-17b8e306c9 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-17b8e306c9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-17b8e306c9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 nicofo 2020-10-22 18:06:27 UTC
Thank you, it works ;)
I have tested the update: kf5-kirigami2 if now well installed along with elisa-player.

Comment 9 Fedora Update System 2020-10-29 01:06:04 UTC
FEDORA-2020-17b8e306c9 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-10-29 01:14:07 UTC
FEDORA-2020-82c09dac16 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.